nepali_date_picker 1.2.1

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 82

Nepali Date Picker #

[pub packages]

Bikram Sambat(B.S.) Date Picker.

Usage #

1. Depend

Add this to you package's pubspec.yaml file:

dependencies:
  nepali_date_picker: ^1.2.1

2. Install

Run command:

$ flutter packages get

3. Import

Import in Dart code:

import 'package:nepali_date_picker/nepali_date_picker.dart';

4. Display Nepali DatePicker

///
/// context: BuildContext.
/// startYear: Min value of year's selection range.
/// endYear: Max value of year's selection range.
/// color: Accent Color.
/// barrierDismissible: Defines if Date Picker Dialog is dismissible through barriers. Default is false.
/// language: Language.NEPALI or Language.ENGLISH.  Default is Language.ENGLISH.
/// onPicked: Callback when "OK" action is pressed. Callback type is DateTime.
///
NepaliDatePicker.showPicker(
     context: context,
     startYear: 2052,
     endYear: 2085,
     color: Colors.pink,
     barrierDismissible: false,
     language: Language.NEPALI,
     onPicked: (DateTime date) {
         setState(() {
            ///Iso8601String Format: 2018-12-23T00:00:00
            String _pickedDate = date.toIso8601String().split("T").first;
         });
     },
);

In Nepali Language

Example #

Example sources

License #

Copyright 2018 Sarbagya Dhaubanjar

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

[1.2.1] - December 24, 2018

  • Documentation adn Example Added.

[1.2.0] - December 23, 2018

  • Changes in ReadMe

[1.1.0] - December 23, 2018

  • Initial Release

example/README.md

Nepali Date Picker Example #

Scaffold(
      appBar: AppBar(
        title: Text("Nepali Date Picker"),
        centerTitle: true,
      ),
      body: Center(
        child: RaisedButton(
          color: Colors.pink,
          onPressed: () {
            NepaliDatePicker.showPicker(
                context: context,
                startYear: 2052,
                endYear: 2085,
                color: Colors.pink,
                barrierDismissible: false,
                onPicked: (DateTime date) {
                  setState(() {
                    ///Iso8601String Format: 2018-12-23T00:00:00
                    _text = date.toIso8601String().split("T").first;
                  });
                });
          },
          child: Text(
            _text,
            style: TextStyle(color: Colors.white, fontSize: 40.0),
          ),
        ),
      ),
    );

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  nepali_date_picker: ^1.2.1

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:nepali_date_picker/nepali_date_picker.dart';
  
Version Uploaded Documentation Archive
1.2.1 Dec 24, 2018 Go to the documentation of nepali_date_picker 1.2.1 Download nepali_date_picker 1.2.1 archive
1.2.0 Dec 23, 2018 Go to the documentation of nepali_date_picker 1.2.0 Download nepali_date_picker 1.2.0 archive
1.1.0 Dec 23, 2018 Go to the documentation of nepali_date_picker 1.1.0 Download nepali_date_picker 1.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
63
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
82
Learn more about scoring.

We analyzed this package on Apr 16, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Format lib/nepali_date_picker.dart.

Run flutter format to format lib/nepali_date_picker.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test